Package ghidra.app.util.bin.format.objectiveC

# Class ObjectiveC_Method

java.lang.Object
ghidra.app.util.bin.format.objectiveC.ObjectiveC_Method

All Implemented Interfaces:
  `StructConverter`

Direct Known Subclasses:
  `ObjectiveC1_Method`, `ObjectiveC2_Method`

public abstract class ObjectiveC_Method extends Object implements StructConverter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `_index`
  `protected ObjectiveC_MethodType`
  `_methodType`
  `protected ObjectiveC1_State`
  `_state`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ObjectiveC_Method(ObjectiveC1_State state, BinaryReader reader, ObjectiveC_MethodType methodType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyTo(Namespace namespace)`
  `abstract long`
  `getImplementation()`
  `final long`
  `getIndex()`
  `final ObjectiveC_MethodType`
  `getMethodType()`
  `abstract String`
  `getName()`
  `abstract String`
  `getTypes()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.util.bin.StructConverter

  `toDataType`

- ## Field Details

  - ### _state

    protected ObjectiveC1_State _state

  - ### _index

    protected long _index

  - ### _methodType

    protected ObjectiveC_MethodType _methodType

- ## Constructor Details

  - ### ObjectiveC_Method

    protected ObjectiveC_Method(ObjectiveC1_State state, BinaryReader reader, ObjectiveC_MethodType methodType)

- ## Method Details

  - ### getIndex

    public final long getIndex()

  - ### getMethodType

    public final ObjectiveC_MethodType getMethodType()

  - ### getName

    public abstract String getName()

  - ### getTypes

    public abstract String getTypes()

  - ### getImplementation

    public abstract long getImplementation()

  - ### applyTo

    public void applyTo(Namespace namespace) throws Exception
    Throws:
      `Exception`